<style type="text/css">
.instruction_box ul {
    padding: 0px;
    margin: 0px;
}
</style>
<template>
    <div>
        
        <div class="main_content">

           <!--  <div class="info_box instruction_box">
                <ul>
                    <li>
                        <a v-bind:href="lang.config_scatter_url" class="blue_ft" target="_blank">{{ lang.no_config_scatter_info }}</a>
                    </li>
                    <li>
                      <a v-bind:href="lang.qa_uri" class="blue_ft" target="_blank">{{ lang.qa_text }}</a>
                    </li>
                </ul>
            </div> -->

            <!-- <vote_brief></vote_brief> -->
            
            <!-- <div class="info_box" v-if="has_scatter">
                <available_view></available_view>
            </div> -->

            <div class="layout_max">
                <web_wallet></web_wallet>
            </div>


        </div>
    </div>
</template>
<script>
import web_wallet from '../web_wallet/web_wallet.vue'
import store from '../../data/store.js'
import { lang } from '../../data/lang.js'
import vote_brief from '../web_wallet/vote_brief.vue'
export default {
    data () {
        return {
            lang: lang.data
        }
    },
    components: {
        web_wallet,
        available_view:  resolve => require(['../web_wallet/available.vue'], resolve),
        vote_brief
    },
    computed: {
        has_scatter () {
            return store.state.global_config.has_scatter;  
        },
    },
    watch: {
        has_scatter (val, pre_val) {
            if(val && pre_val != val){
                // window.location.reload();
            }
        }
    },
    methods: {
    }
}
</script>